API Reference
Delivery Settlements
6 endpoints· Auth: JWT or API Key
get
/api/v1/console/delivery/settlements JWT API KeyGet settlements
Query parameters
| ChannelId string (uuid) | — |
| Status string | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
get
/api/v1/console/delivery/settlements/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/settlements/{id}/reconcile JWT API KeyCreate reconcile
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements/{id}/reconcile" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/settlements/import JWT API KeyCreate import
Request body
application/json
{
"channelId": "00000000-0000-0000-0000-000000000000",
"periodFrom": "2026-09-30",
"periodTo": "2026-09-30",
"netPaid": 0,
"currencyCode": "string",
"reference": "string",
"notes": "string",
"statement": "string"
}| channelId string (uuid) | — |
| periodFrom string (date) | — |
| periodTo string (date) | — |
| netPaid integer (int64) | — |
| currencyCode string | — |
| reference string | — |
| notes string | — |
| statement string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements/import" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"channelId": "00000000-0000-0000-0000-000000000000",
"periodFrom": "2026-09-30",
"periodTo": "2026-09-30",
"netPaid": 0,
"currencyCode": "string",
"reference": "string",
"notes": "string",
"statement": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/delivery/settlements/transfers JWT API KeyCreate transfers
Request body
application/json
{
"channelId": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"transferDate": "2026-09-30",
"reference": "string",
"notes": "string"
}| channelId string (uuid) | — |
| amount integer (int64) | — |
| transferDate string (date) | — |
| reference string | — |
| notes string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements/transfers" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"channelId": "00000000-0000-0000-0000-000000000000",
"amount": 0,
"transferDate": "2026-09-30",
"reference": "string",
"notes": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/delivery/settlements/variance JWT API KeyGet variance
Query parameters
| From string (date) | — |
| To string (date) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/delivery/settlements/variance" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu